<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.tofly.base.mapper.UsertaskMapper">

    <resultMap id="usertaskMap" type="com.tofly.pojo.message.Usertask">
        <id property="id" column="ID"/>
        <result property="endTime" column="END_TIME"/>
        <result property="startTime" column="START_TIME"/>
        <result property="tknm" column="TKNM"/>
        <result property="tkty" column="TKTY"/>
        <result property="tksmty" column="TKSMTY"/>
        <result property="tlevel" column="TLEVEL"/>
        <result property="tableName" column="TABLE_NAME"/>
        <result property="tableId" column="TABLE_ID"/>
        <result property="routeIp" column="ROUTE_IP"/>
        <result property="routeAppIp" column="ROUTE_APP_IP"/>
        <result property="ishandle" column="ISHANDLE"/>
        <result property="handleTime" column="HANDLE_TIME"/>
        <result property="handleUser" column="HANDLE_USER"/>
        <result property="createTime" column="CREATE_TIME"/>
        <result property="createUser" column="CREATE_USER"/>

        <association property="createUserName" column="CREATE_USER" select="com.tofly.baseapi.mapper.ToflyCodeCommonMapper.getUserName" />
    </resultMap>


</mapper>
